<template>
  <div>
    <div class="flex flex-row p-3">
      <div class="basis-2/4 my-auto">
        <p class="text-[#8c8d8e] text-sm">
          <span class="text-[#444545] font-semibold mr-3"> 122225 </span>
        </p>
        <p class="text-[#8c8d8e] mt-3">
          <span class="text-[#444545] font-semibold mr-3 bg-[#bff7d4]">
            12/2/96
          </span>
        </p>
        <p class="text-[#8c8d8e]">
          <span class="text-[#444545] font-semibold mr-3"> 18000 تومان </span>
        </p>
      </div>
      <div class="basis-1/4">
        <img src="/profile/imgLove.svg" class="" alt="" />
      </div>
      <div
        @click="submitStar()"
        class="basis-1/4 text-left my-auto text-[#ed3f55]"
      >
        ثبت امتیاز
      </div>
    </div>
    <hr class="mx-4" />
    <div
      v-show="showSubmitStar"
      @click="showSubmitStar = false"
      class="fixed z-10 bottom-0 w-full overflow-y-auto"
      aria-labelledby="modal-title"
      role="dialog"
      aria-modal="true"
    >
      <div class="items-end text-center">
        <!--
      Background overlay, show/hide based on modal state.

      Entering: "ease-out duration-300"
        From: "opacity-0"
        To: "opacity-100"
      Leaving: "ease-in duration-200"
        From: "opacity-100"
        To: "opacity-0"
    -->
        <div
          class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
          aria-hidden="true"
        ></div>

        <!-- This element is to trick the browser into centering the modal contents. -->
        <span class="hidden" aria-hidden="true">&#8203;</span>

        <!--
      Modal panel, show/hide based on modal state.

      Entering: "ease-out duration-300"
        From: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
        To: "opacity-100 translate-y-0 sm:scale-100"
      Leaving: "ease-in duration-200"
        From: "opacity-100 translate-y-0 sm:scale-100"
        To: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
    -->
        <div
          @click.stop=""
          class="inline-block w-full align-bottom bg-white rounded-t-3xl sm:rounded-lg px-4 pt-5 pb-4 text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-sm sm:w-full sm:p-6"
        >
          <div>
            <div class="mx-3 flex items-center justify-between">
              <p>ثبت امتیاز</p>
              <img
                @click="showSubmitStar = false"
                class=" "
                src="/mobile/profile/fi-rr-cross-small.svg"
                alt=""
              />
            </div>
            <hr class="mx-3 my-2" />
            <div class="my-6 text-center sm:mt-5">
              <h3
                class="text-lg leading-6 font-medium text-gray-900"
                id="modal-title"
              >
                لطفا به این محصول امتیاز دهید
              </h3>
              <div class="mt-2">
                <img
                  v-for="rating in 5"
                  :key="rating"
                  aria-hidden="true"
                  class="inline mx-2"
                  src="/star.svg"
                  width="25"
                  height="24"
                  alt=""
                  srcset=""
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      showSubmitStar: false,
    }
  },
  methods: {
    submitStar() {
      this.showSubmitStar = true
    },
  },
}
</script>

<style lang="scss" scoped></style>
